/*
 * Rectangle.h
 *
 *  Created on: Dec 8, 2013
 *      Author: brian
 */

#ifndef RECTANGLE_H_
#define RECTANGLE_H_


#include "GameObject.h"
#include <iostream>

using namespace std;

#include "SDL.h"

class Rectangle : public GameObject
{
public:
	Rectangle();

  void load(int x, int y, int width, int height);
  void draw(SDL_Renderer* pRenderer);
  void update();
  void clean();

private:
  int m_direction;
};



#endif /* RECTANGLE_H_ */
